Role:
  description: A functional role within a Tenant
  properties:
    Auth0RoleID:
      description: the corresponding auth0 role
      type: string
    CreatedByID:
      description: created by
      type: string
    CreatedDate:
      description: created date
      type: string
    Description:
      description: role description
      type: string
    ID:
      description: record id
      type: string
    LastModifiedByID:
      description: last modified by
      type: string
    LastModifiedDate:
      description: last modifed date
      type: string
    RoleName:
      description: the name of this role
      type: string
    TenantID:
      description: the id of the tenant that owns this role
      type: string
  type: object
